export declare const foucsById: (id: string) => void;
declare type Tnode = {
    value: any;
    failMsg?: string;
    id?: string;
    failFn?: () => void;
    skip?: boolean;
};
declare const validate: (nodes: Tnode[]) => boolean;
export declare class Validater {
    nodes: Tnode[];
    validate: (checks?: number[] | undefined) => boolean;
    constructor(nodes: Tnode[]);
}
export default validate;
